Talend 5.3.1 Open Studio Version Compatability

Hello all, 
I am new to Talend development, and have a question. I work for a company and we are about a dozen of us who are Talend developers. We have Talend 5.3.1 32 bit installed in a 64 bit machine. We use Java 1.6 (32 bit) for development. However, one of our associates has installed Talend 5.3.1 64 bit installed in a 64 bit machine. She uses Java 1.7 (64 bit) for development. What could possibly be compatibility issues in this case during deployment? 
Appreciate your response. 
Thank you. 
- Sam
3 REPLIES
Moderator

Re: Talend 5.3.1 Open Studio Version Compatability

Hi,
Are you using Windows OS?
If so, TOS_DI-win32-x86.exe is for 32 bit OS(32 bit JDK) and TOS_DI-win-x86_64.exe is for 64 bit.
You should install 64-bit JDK for your 64-bit system.
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.

Re: Talend 5.3.1 Open Studio Version Compatability

Hi Sabrina, 
Thank you very much for your prompt response. We have installed 32 bit Talend on a Windows 64 bit OS, with Java 1.6. Could you kindly let me know what would be the impact if we migrate the jobs, to a 64 bit Talend on a Widnows 64 bit OS with Java1.7? Is there a chance that the jobs will fail? 
Appreciate your help. 
Thank you. 
Best Regards,
- Samyuktha
Moderator

Re: Talend 5.3.1 Open Studio Version Compatability

Hi Samyuktha,
Have you tried to build a job(.bat file) from 32 bit studio into 64 bit studio to see if there is any error? Do you want to install both JDK 1.6 32 bit and JDK 1.7 64 bit in your local machine?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.